# Mandelbrot Set 
An interactive interface where you can navigate the Mandelbrot Set.

### Controls
<kbd>W</kbd> - Up
<br />
<kbd>A</kbd> - Left
<br />
<kbd>S</kbd> - Down
<br />
<kbd>D</kbd> - Right

<kbd>Q</kbd> Zoom Out
<br />
<kbd>E</kbd> Zoom In


### How to Use
Due to Bevy, this program depends on `lldb`, `llvm` and Rust Nightly (as of 2020-11-26)

Once all these prerequisites have been satisfied, you can run `cargo run --release` in the 
project root directory.

### TODO
* Make Zooming feel more natural (where you zoom to is fixed, and not centered)
* Make the amount of iterations done when calculating the Mandelbrot set configurable
    * preferrably with a keybind
* Add smooth colouring 
    * Maybe look into histograms?
